xsec-txfmout.pod(1)

NAME
xmlsec-txfmout - Output XML transforms used when validating a signature

SYNOPSIS
xmlsec-txfmout [-s] [-o] [-r [n]] [-n] input

DESCRIPTION
xmlsec-txfmout outputs the results of various transforms that are used when verifying signatures on an XML document. By default, the output is sent to standard output.

OPTIONS
Note that each option must be given as a separate argument.

--newfiles, -n
    Create a new output file for each reference or SignedInfo. This should be specified in conjunction with -o. The file names will be formed by appending "." and a number.

--out file, -o file
    Instead of printing the transform results to standard output, write them to the specified file.

--references [num], -r [num]
    Output only references. If num is given, it specifies a single numbered reference to output.

--signedinfo, -s
    Output canonicalized SignedInfo only.

AUTHOR
This manual page was written by Russ Allbery for Debian.

MANUAL LICENSE
The authors hereby relinquish any claim to any copyright that they may have in this work, whether granted under contract or by operation of law or international treaty, and hereby commit to the public, at large, that they shall not, at any time in the future, seek to enforce any copyright in this work against any person or entity, or prevent any person or entity from copying, publishing, distributing or creating derivative works of this work.